import type { EmailProviderFactoryInterface, EmailSenderInterface } from '../Interface/index.js';
import type { TypeBaseConfig } from '../Type/index.js';
/**
 * Interface representing an email provider factory.
 */
export declare class EmailProviderFactory implements EmailProviderFactoryInterface<TypeBaseConfig> {
    /**
     * Creates an email sender based on the provided configuration.
     *
     * @param {TypeBaseConfig} config - The configuration object for the email provider.
     * @returns {EmailSenderInterface} - An email provider instance.
     * @throws {Error} - Throws an error when requested provider sender can't be created.
     */
    createSender(config: TypeBaseConfig): EmailSenderInterface;
}
