import { EmailProviderFactory } from '../Factory/index.js';
/**
 * Send email
 *
 * @param {TypeEmailMessage} emailMessage - Email message
 * @param {TypeBaseConfig} config - Configuration
 * @returns {Promise<TypeEmailMessageResponse>} - Email message response
 */
export const sendEmail = async (emailMessage, config) => {
    const sender = (new EmailProviderFactory()).createSender(config);
    return sender.send(emailMessage);
};
